GWT 2.7.0

## com.google.gwt.dom.client
Class StyleInjector.StyleInjectorImpl

    java.lang.Object
      com.google.gwt.dom.client.StyleInjector.StyleInjectorImpl

Direct Known Subclasses:
  StyleInjector.StyleInjectorImplIE

Enclosing class:
  StyleInjector

    public static class StyleInjector.StyleInjectorImpl

extends java.lang.Object

The DOM-compatible way of adding stylesheets. This implementation requires the host HTML page to have a head element defined.

Constructor Summary
`StyleInjector.StyleInjectorImpl()`

Method Summary
`StyleElement` | `injectStyleSheet(java.lang.String contents)`
`StyleElement` | `injectStyleSheetAtEnd(java.lang.String contents)`
`StyleElement` | `injectStyleSheetAtStart(java.lang.String contents)`
`void` | `setContents(StyleElement style, java.lang.String contents)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleInjector.StyleInjectorImpl

    public StyleInjector.StyleInjectorImpl()

Method Detail

### injectStyleSheet

    public StyleElement injectStyleSheet(java.lang.String contents)

### injectStyleSheetAtEnd

    public StyleElement injectStyleSheetAtEnd(java.lang.String contents)

### injectStyleSheetAtStart

    public StyleElement injectStyleSheetAtStart(java.lang.String contents)

### setContents

    public void setContents(StyleElement style,
                            java.lang.String contents)

GWT 2.7.0